import {Box, TextField} from '@mui/material'
import {Edit} from '@refinedev/mui'
import {useForm} from '@refinedev/react-hook-form'

export const ArticleEdit = () => {
  const {
    saveButtonProps,
    register,
    formState: {errors},
  } = useForm({})

  return (
    <Edit saveButtonProps={saveButtonProps}>
      <Box component="form" sx={{display: 'flex', flexDirection: 'column'}} autoComplete="off">
        <TextField
          {...register('heading', {
            required: 'Это поле является обязательным',
          })}
          error={!!(errors as any)?.heading}
          helperText={(errors as any)?.heading?.message}
          margin="normal"
          fullWidth
          InputLabelProps={{shrink: true}}
          type="text"
          label={'Заголовок'}
          name="heading"
        />
        <TextField
          {...register('body', {
            required: 'Это поле является обязательным',
          })}
          error={!!(errors as any)?.body}
          helperText={(errors as any)?.body?.message}
          margin="normal"
          fullWidth
          InputLabelProps={{shrink: true}}
          type="text"
          label={'Контент'}
          name="body"
        />
      </Box>
    </Edit>
  )
}
